Name: H5Eprint
Signature:
  herr_t `H5Eprint`(FILE * `stream`)
Purpose:
  Prints the error stack in a default manner.
Description:
  `H5Eprint` prints the error stack on the specified stream, `stream`. Even if the error stack is empty, a one-line message will be printed:
  `HDF5-DIAG: Error detected in thread 0.`

  `H5Eprint` is a convenience function for `H5Ewalk` with a function that prints error messages. Users are encouraged to write their own more specific error handlers.

Parameters:

FILE * `stream` | IN: File pointer, or stderr if NULL.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5eprint_f

      SUBROUTINE h5eprint_f(hdferr, name)
        CHARACTER(LEN=*), OPTIONAL, INTENT(IN) :: name ! File name
        INTEGER, INTENT(OUT) :: hdferr                 ! Error code

      END SUBROUTINE h5eprint_f